export declare type Subscription<S> = {
    trySubscribe: (value: S) => void;
    addListener: (listener: (state: S) => void) => void;
    deleteListener: (listener: (state: S) => void) => void;
};
export declare const createSubscription: <S>() => Subscription<S>;
