import React from 'react';
import { Subscription } from './subscription';
export declare type UseSelector<Store> = <SelectedStore>(selector: (store: Store) => SelectedStore, equalityFunction?: EqualityFunction) => SelectedStore;
declare type EqualityFunction = (a: any, b: any) => boolean;
export declare const createUseSelector: <Store>(context: React.Context<Store>, subscription: Subscription<Store>) => UseSelector<Store>;
export {};
