export interface Store<T extends Record<string, unknown>> {
    getState: () => T;
    setState: (key: keyof T, value: T[keyof T]) => void;
}
export declare const createStore: <T extends Record<string, unknown>>(initialValue: T) => {
    getState: () => T;
    setState: (key: keyof T, value: T[keyof T]) => void;
};
